<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping http://doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
  <entity name="Note" table="note">
    <id name="id" type="integer" column="id">
      <generator strategy="IDENTITY"/>
    </id>
    <field name="notatka" type="text" column="notatka" length="65535" nullable="false">
      <options>
        <option name="fixed"/>
      </options>
    </field>
    <field name="repairId" type="integer" column="repair_id" nullable="true">
      <options>
        <option name="unsigned"/>
      </options>
    </field>
    <field name="oldId" type="integer" column="old_id" nullable="false">
      <options>
        <option name="unsigned"/>
      </options>
    </field>
    <field name="createdAt" type="datetime" column="created_at" nullable="true"/>
    <field name="updatedAt" type="datetime" column="updated_at" nullable="true"/>
  </entity>
</doctrine-mapping>
